Page MenuHomePhabricator

Allow searches over rectangular areas
Closed, ResolvedPublic

Description

To avoid having to return points that will no fit on the screen, GeoData should allow searching in a rectangle in addition of a search within a radius.

Details

Related Gerrit Patches:
mediawiki/extensions/GeoData : masterAdd bounding box searches

Event Timeline

MaxSem created this task.Sep 10 2015, 12:15 AM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added projects: GeoData, Maps-Sprint.
MaxSem added a subscriber: MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 12:15 AM
Yurik added a project: Maps.Nov 7 2015, 7:34 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2015, 7:34 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.Dec 18 2015, 9:09 AM

Change 260524 had a related patch set uploaded (by MaxSem):
Add bounding box searches

https://gerrit.wikimedia.org/r/260524

Change 260524 merged by jenkins-bot:
Add bounding box searches

https://gerrit.wikimedia.org/r/260524

MaxSem closed this task as Resolved.Dec 24 2015, 12:43 AM
MaxSem claimed this task.